Publish or unpublish a driver app workflow to one or more drivers by their IDs. If a workflow is published to a driver who already has it, or unpublished from a driver who does not have it, the operation is a no-op for that driver.
Rate limit: 10 requests/sec (learn more about rate limits here).
To use this endpoint, select Write Driver App Settings under the Drivers category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request POST \
--url https://api.samsara.com/fleet/drivers/workflow-assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workflowId": "a4db8702-79d5-4396-a717-e301d52ecc11",
"driverIdsToPublish": [
"12434",
"12434"
],
"driverIdsToUnpublish": [
"56789",
"56789",
"56789",
"56789"
]
}
'{
"data": {
"workflowId": "a4db8702-79d5-4396-a717-e301d52ecc11"
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Request body for publishing a driver app workflow to drivers.
The UUID of the workflow to publish.
"a4db8702-79d5-4396-a717-e301d52ecc11"
List of driver IDs to publish the workflow to. If a driver already has the workflow, the operation is a no-op for that driver.
ID of the driver.
["12434", "12434"]List of driver IDs to unpublish the workflow from. If a driver does not have the workflow, the operation is a no-op for that driver.
ID of the driver.
["56789", "56789", "56789", "56789"]OK response.
Confirmation of the workflow publish operation.
Show child attributes
curl --request POST \
--url https://api.samsara.com/fleet/drivers/workflow-assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workflowId": "a4db8702-79d5-4396-a717-e301d52ecc11",
"driverIdsToPublish": [
"12434",
"12434"
],
"driverIdsToUnpublish": [
"56789",
"56789",
"56789",
"56789"
]
}
'{
"data": {
"workflowId": "a4db8702-79d5-4396-a717-e301d52ecc11"
}
}